/*  HSYCO Library for Arduino
    Copyright (C) 2012-2013 Home Systems Consulting S.p.A. - All rights reserved.

    For information, see the Home Systems Consulting web site:
    http://www.homesystemsconsulting.com/
	
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.
*/

/*
    This sketch is an I/O events echo program. You can set any datapoint
    name/value and the sketch will generate an event with the same name/value.
    In events.txt, if arduino is the I/O server name associated to the Arduino board,
    write the following code to test this sketch:
      hsycostart : programtimer tick = repeat 1, $counter = 0
      programtimer tick : $counter + 1
      $counter : io arduino.name = $counter
*/

#include <HSYCO.h>

void myCallback(char* name, char* value) {
    HSYCO.ioSet(name, value);
}

void setup() {
  HSYCO.attach(myCallback);
  HSYCO.begin();
}

void loop() {
  HSYCO.process();
}
